API
Retention Policy API
Alpha
DSAR is currently in alpha. APIs, package surfaces, configuration, and documentation may change as the project evolves.
GET /tenants/:tenantId/retention
List retention policies for a tenant.
Response (200):
PUT /tenants/:tenantId/retention
Create or update a retention policy.
Request body:
class(string, required): Retention class — must be one of the values listed belowminDays(number, optional): Minimum retention period (default: 30)maxDays(number, optional): Maximum retention period (default: 365)purgeEnabled(boolean, optional): Auto-purge toggle (default: false)legalHoldEnabled(boolean, optional): Legal hold toggle (default: false)
Response (202): The upserted retention policy record.
Retention Classes
request_record- DSAR request recordsaudit_event- Immutable audit eventsverification_evidence- Identity verification artifactsfulfilment_artifact- Response data packagesdelivery_log- Delivery attempt recordsnotification_log- Notification generation/delivery records